﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;
using AutoCompleteMode = Infragistics.Win.AutoCompleteMode;
using ColumnStyle = Infragistics.Win.UltraWinGrid.ColumnStyle;

namespace GridValueListAutoSuggestError
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            /// Let's create data source...
            DataTable dataTable = new DataTable();
            dataTable.Columns.Add(new DataColumn("ValueList", typeof (Guid)));
            
            /// ...and a ValueList to be used in UltraGrid
            ValueList valueList = new ValueList();
            
            /// I'll fill my datatable with random guid values ...
            for (int i = 0; i < 10; i++)
            {
                Guid cellValue = Guid.NewGuid();


                dataTable.Rows.Add(cellValue);
                
                /// ... and i'll fill value list too
                /// Note LessThan and GreaterThan chars in DisplayText text
                string cellText = String.Format("Cell number <{0}>", i);
                valueList.ValueListItems.Add(cellValue, cellText);
            }
            /// Now it's time to bind data to UltraGrid...
            Grid.DataSource = dataTable;

            /// ... and initialize column properties for AutoCompleteMode 
            Grid.DisplayLayout.Bands[0].Columns[0].ValueList = valueList;
            Grid.DisplayLayout.Bands[0].Columns[0].Style=ColumnStyle.DropDown;
            Grid.DisplayLayout.Bands[0].Columns[0].AutoCompleteMode =AutoCompleteMode.Suggest;
            Grid.DisplayLayout.Bands[0].Columns[0].AutoSuggestFilterMode=AutoSuggestFilterMode.Contains;



        }
    }
}
